import { init_sync } from './index.js';
export { init } from './index.js';
import { readFileSync } from 'node:fs';
export { aP as AlwaysPublic, ak as AnnotationWithBinder, aU as ArrayDestructuringField, A as ArrayElement, b5 as ArrowFunction, bn as BaseSpan, ay as BinaryAssignmentOperator, ax as BinaryOperator, be as Block, bf as BlockOrSingleStatement, B as BuildOutput, bp as CheckOptions, W as ClassConstructor, t as ClassDeclaration, X as ClassFunction, Z as ClassMember, _ as ClassProperty, C as Comments, am as CommonTypes, x as ConditionalElseStatement, bj as Declaration, b4 as DeclareVariableDeclaration, aN as Decorated, aM as Decorator, f as Diagnostic, h as DiagnosticKind, D as DiagnosticsContainer, ai as DoWhileStatement, a8 as EnumDeclaration, a9 as EnumMember, b9 as ExceptionVarField, $ as ExportDeclaration, a1 as ExportPart, a0 as Exportable, E as Expression, as as ExpressionFunction, b7 as ExpressionOrBlock, m as ExpressionPosition, F as FailedBuildOutput, b3 as ForLoopCondition, b1 as ForLoopStatement, b2 as ForLoopStatementinitialiser, k as FunctionArgument, ar as FunctionBase, aH as FunctionBody, aE as FunctionHeader, aD as FunctionLocationModifier, a_ as FunctionParameters, aG as GeneratorSpecifier, w as IfStatement, au as ImportDeclaration, av as ImportExportName, bk as ImportLocation, aw as ImportPart, at as ImportedItems, I as InExpressionLHS, aA as IncrementOrDecrement, br as InitInput, bs as InitOutput, aa as InterfaceDeclaration, ad as InterfaceMember, b6 as IsAsync, ag as IsExpression, Y as IsStatic, a7 as JSXAttribute, a3 as JSXElement, a4 as JSXElementChildren, a5 as JSXFragment, a6 as JSXNode, a2 as JSXRoot, af as LHSOfAssignment, ac as MappedReadonlyKind, aF as MethodHeader, aO as Module, M as MultipleExpression, K as Namespace, N as NumberRepresentation, o as NumberSign, aV as ObjectDestructuringField, aK as ObjectLiteral, aL as ObjectLiteralMember, aJ as ObjectLiteralMethod, ab as Optionality, O as Output, aX as Parameter, aY as ParameterData, s as ParseOptions, aR as PropertyKey, P as PropertyReference, aQ as PublicOrPrivate, Q as Quoted, R as ReturnStatement, bo as SourceId, bm as Span, bl as SpanWithSource, S as SpecialOperators, aZ as SpreadParameter, aW as SpreadParameterName, G as Statement, bc as StatementFunction, bd as StatementOrDeclaration, n as StatementPosition, b0 as SuperParameter, l as SuperReference, z as SwitchBranch, y as SwitchStatement, bt as SyncInitInput, u as TemplateLiteral, v as TemplateLiteralPart, a$ as ThisParameter, H as ThrowStatement, q as ToStringOptions, bb as TryCatchStatement, al as TupleElementKind, aq as TupleLiteralElement, L as TypeAlias, aj as TypeAnnotation, ao as TypeAnnotationFunctionParameter, an as TypeAnnotationFunctionParameters, ap as TypeAnnotationSpreadFunctionParameter, T as TypeCheckOptions, i as TypeOrConst, aI as TypeParameter, az as UnaryOperator, aC as UnaryPostfixAssignmentOperator, aB as UnaryPrefixAssignmentOperator, U as UnconditionalElseStatement, J as VarVariableStatement, bh as VariableDeclaration, bg as VariableDeclarationItem, bi as VariableDeclarationKeyword, aT as VariableField, aS as VariableIdentifier, V as VariableKeyword, ae as VariableOrPropertyAccess, b8 as Visibility, bq as WASMCheckOutput, ah as WhileStatement, ba as WithComment, c as check, a as check_with_options, e as experimental_build, g as get_version, bu as initSync, j as just_imports, p as parse_expression, b as parse_module, d as parse_module_and_into_string, r as run_cli } from './shared/ezno.fa2959a0.js';

const wasmPath = new URL("./shared/ezno_lib_bg.wasm", import.meta.url);
if (wasmPath.protocol === "https:") {
  init_sync(await fetch(wasmPath).then((response) => response.arrayBuffer()));
} else {
  init_sync(readFileSync(wasmPath));
}

export { init_sync };
