import { bu as initSync } from './shared/ezno.fa2959a0.js';
import { readFileSync } from 'node:fs';

const wasmPath = new URL("./shared/ezno_lib_bg.wasm", import.meta.url);
if (wasmPath.protocol === "https:") {
  initSync(await fetch(wasmPath).then((response) => response.arrayBuffer()));
} else {
  initSync(readFileSync(wasmPath));
}
const onDeno = typeof Deno !== "undefined";
onDeno ? Deno.args : process.argv.slice(2);
