import { init_sync } from './index.mjs';
export { init } from './index.mjs';
import { readFileSync } from 'node:fs';
export { C as CheckOptions, W as WASMCheckOutput, c as check, a as check_with_options, e as experimental_build, g as get_version, i as initSync, j as just_imports, p as parse_expression, b as parse_module, d as parse_module_and_into_string, r as run_cli } from './shared/ezno.ea26ea9e.mjs';

const wasmPath = new URL("./shared/ezno_lib_bg.wasm", import.meta.url);
if (wasmPath.protocol === "https:") {
  init_sync(await fetch(wasmPath).then((response) => response.arrayBuffer()));
} else {
  init_sync(readFileSync(wasmPath));
}

export { init_sync };
